Package javax.mail

# Annotation Type MailSessionDefinition

@Target(TYPE) @Retention(RUNTIME) @Repeatable(MailSessionDefinitions.class) public @interface MailSessionDefinition
Annotation used by Jakarta EE applications to define a `MailSession` to be registered with JNDI. The `MailSession` may be configured by setting the annotation elements for commonly used `Session` properties. Additional standard and vendor-specific properties may be specified using the `properties` element.

The session will be registered under the name specified in the `name` element. It may be defined to be in any valid `Jakarta EE` namespace, and will determine the accessibility of the session from other components.

Since:
  JavaMail 1.5

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
JNDI name by which the mail session will be registered.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`description`
Description of this mail session.
`String`
`from`
From address for the user.
`String`
`host`
Host name for the mail server.
`String`
`password`
Password to use for authentication.
`String[]`
`properties`
Properties to include in the Session.
`String`
`storeProtocol`
Store protocol name.
`String`
`transportProtocol`
Transport protocol name.
`String`
`user`
User name to use for authentication.

## Element Details

### name

String name
JNDI name by which the mail session will be registered.

Returns:
  the JNDI name

### description

String description
Description of this mail session.

Returns:
  the description

Default:
  ""

### storeProtocol

String storeProtocol
Store protocol name.

Returns:
  the store protocol name

Default:
  ""

### transportProtocol

String transportProtocol
Transport protocol name.

Returns:
  the transport protocol name

Default:
  ""

### host

String host
Host name for the mail server.

Returns:
  the host name

Default:
  ""

### user

String user
User name to use for authentication.

Returns:
  the user name

Default:
  ""

### password

String password
Password to use for authentication.

Returns:
  the password

Default:
  ""

### from

String from
From address for the user.

Returns:
  the from address

Default:
  ""

### properties

String[] properties
Properties to include in the Session. Properties are specified using the format: propertyName=propertyValue with one property per array element.

Returns:
  the properties

Default:
  {}